summaryrefslogtreecommitdiffstats
path: root/bin/etc-update
diff options
context:
space:
mode:
Diffstat (limited to 'bin/etc-update')
-rwxr-xr-xbin/etc-update2
1 files changed, 2 insertions, 0 deletions
diff --git a/bin/etc-update b/bin/etc-update
index f6775e957..41def58a1 100755
--- a/bin/etc-update
+++ b/bin/etc-update
@@ -365,6 +365,8 @@ scriptname=$(basename $0)
trap die term
+[ -w /etc ] || die "Need root priviledges for write access to /etc"
+
export PORTAGE_TMPDIR=$(/usr/lib/portage/bin/portageq envvar PORTAGE_TMPDIR)
TMP="${PORTAGE_TMPDIR}/$$"